# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import glob




def update_package():
    # Declaration of local variables
    package_updated = False
    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()

    dict_arch = {
        "x64":"-x64.exe",
        "x86":"-ia32.exe"}    
    api_url = "https://api.github.com/repos/agalwood/Motrix/releases/latest"
  

     # Get data from API
    releases_dict = json.loads(wgets(api_url, proxies=proxies))
    exe_found = False  # Flag pour indiquer la découverte d'un fichier .exe
    for release in releases_dict:
        if exe_found:
            break
        for asset in releases_dict["assets"]:
            if asset["browser_download_url"].endswith(".exe") and dict_arch[control.architecture] in asset["browser_download_url"]:
                url_download = asset["browser_download_url"]
                filename = url_download.split('/')[-1]
                last_version = releases_dict["name"].split("v")[-1]
                exe_found = True  # Mettre à jour le flag pour indiquer qu'un .exe a été trouvé
                break


    if not isfile(filename):
        package_updated = True
        wget(url_download,filename,proxies=proxies)

    #nettoyer les fichiers temporaires
    for f in glob.glob('*.exe'):
        if f != filename:
            remove_file(f)

    version = get_version_from_binary(filename)

    control.set_software_version(last_version)
    control.save_control_to_wapt()

    return package_updated
